# azure.mgmt.netapp.operations module

class `azure.mgmt.netapp.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Constant value: “2019-10-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Describes the Resource Provider.

    Lists all of the available Microsoft.NetApp Rest API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.netapp.models' from '/usr/lib/python3/dist-packages/azure/mgmt/netapp/models/__init__.py'>

class `azure.mgmt.netapp.operations.``NetAppResourceOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NetAppResourceOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Constant value: “2019-10-01”.

  `check_file_path_availability`(location, name, type, resource_group, custom_headers=None, raw=False, **operation_config)

    Check file path availability.

    Check if a file path is available.

    Parameters:

    - location (str) – The location
    - name (str) – Resource name to verify.
    - type (str or CheckNameResourceTypes) – Resource type used for verification. Possible values include: ‘Microsoft.NetApp/netAppAccounts’, ‘Microsoft.NetApp/netAppAccounts/capacityPools’, ‘Microsoft.NetApp/netAppAccounts/capacityPools/volumes’, ‘Microsoft.NetApp/netAppAccounts/capacityPools/volumes/snapshots’
    - resource_group (str) – Resource group name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ResourceNameAvailability or ClientRawResponse if raw=true
    Return type: | ResourceNameAvailability or ClientRawResponse
    Raises: | `CloudError`

  `check_name_availability`(location, name, type, resource_group, custom_headers=None, raw=False, **operation_config)

    Check resource name availability.

    Check if a resource name is available.

    Parameters:

    - location (str) – The location
    - name (str) – Resource name to verify.
    - type (str or CheckNameResourceTypes) – Resource type used for verification. Possible values include: ‘Microsoft.NetApp/netAppAccounts’, ‘Microsoft.NetApp/netAppAccounts/capacityPools’, ‘Microsoft.NetApp/netAppAccounts/capacityPools/volumes’, ‘Microsoft.NetApp/netAppAccounts/capacityPools/volumes/snapshots’
    - resource_group (str) – Resource group name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ResourceNameAvailability or ClientRawResponse if raw=true
    Return type: | ResourceNameAvailability or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.netapp.models' from '/usr/lib/python3/dist-packages/azure/mgmt/netapp/models/__init__.py'>

class `azure.mgmt.netapp.operations.``AccountsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AccountsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Constant value: “2019-10-01”.

  `create_or_update`(body, resource_group_name, account_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a NetApp account.

    Create or update the specified NetApp account within the resource group.

    Parameters:

    - body (NetAppAccount) – NetApp Account object supplied in the body of the operation.
    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns NetAppAccount or ClientRawResponse<NetAppAccount> if raw==True
    Return type: | AzureOperationPoller[NetAppAccount] or AzureOperationPoller[ClientRawResponse[NetAppAccount]]
    Raises: | `CloudError`

  `delete`(resource_group_name, account_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a NetApp account.

    Delete the specified NetApp account.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Describe a NetApp Account.

    Get the NetApp account.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetAppAccount or ClientRawResponse if raw=true
    Return type: | NetAppAccount or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Describe all NetApp Accounts in a resource group.

    List and describe all NetApp accounts in the resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of NetAppAccount
    Return type: | NetAppAccountPaged[NetAppAccount]
    Raises: | `CloudError`

  `update`(body, resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Update a NetApp account.

    Patch the specified NetApp account.

    Parameters:

    - body (NetAppAccountPatch) – NetApp Account object supplied in the body of the operation.
    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetAppAccount or ClientRawResponse if raw=true
    Return type: | NetAppAccount or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.netapp.models' from '/usr/lib/python3/dist-packages/azure/mgmt/netapp/models/__init__.py'>

class `azure.mgmt.netapp.operations.``PoolsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  PoolsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Constant value: “2019-10-01”.

  `create_or_update`(body, resource_group_name, account_name, pool_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or Update the specified capacity pool within the resource group.

    Create or Update a capacity pool.

    Parameters:

    - body (CapacityPool) – Capacity pool object supplied in the body of the operation.
    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns CapacityPool or ClientRawResponse<CapacityPool> if raw==True
    Return type: | AzureOperationPoller[CapacityPool] or AzureOperationPoller[ClientRawResponse[CapacityPool]]
    Raises: | `CloudError`

  `delete`(resource_group_name, account_name, pool_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a capacity pool.

    Delete the specified capacity pool.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, account_name, pool_name, custom_headers=None, raw=False, **operation_config)

    Describe a Capacity Pool.

    Get details of the specified capacity pool.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CapacityPool or ClientRawResponse if raw=true
    Return type: | CapacityPool or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Describe all Capacity Pools.

    List all capacity pools in the NetApp Account.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of CapacityPool
    Return type: | CapacityPoolPaged[CapacityPool]
    Raises: | `CloudError`

  `update`(body, resource_group_name, account_name, pool_name, custom_headers=None, raw=False, **operation_config)

    Update a capacity pool.

    Patch the specified capacity pool.

    Parameters:

    - body (CapacityPoolPatch) – Capacity pool object supplied in the body of the operation.
    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CapacityPool or ClientRawResponse if raw=true
    Return type: | CapacityPool or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.netapp.models' from '/usr/lib/python3/dist-packages/azure/mgmt/netapp/models/__init__.py'>

class `azure.mgmt.netapp.operations.``VolumesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VolumesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Constant value: “2019-10-01”.

  `authorize_replication`(resource_group_name, account_name, pool_name, volume_name, remote_volume_resource_id=None, custom_headers=None, raw=False, **operation_config)

    Authorize source volume replication.

    Authorize the replication connection on the source volume.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - remote_volume_resource_id (str) – Resource id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `break_replication`(resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, **operation_config)

    Break volume replication.

    Break the replication connection on the destination volume.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `create_or_update`(body, resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or Update a volume.

    Create or update the specified volume within the capacity pool.

    Parameters:

    - body (Volume) – Volume object supplied in the body of the operation.
    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Volume or ClientRawResponse<Volume> if raw==True
    Return type: | AzureOperationPoller[Volume] or AzureOperationPoller[ClientRawResponse[Volume]]
    Raises: | `CloudError`

  `delete`(resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a volume.

    Delete the specified volume.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `delete_replication`(resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, **operation_config)

    Delete volume replication.

    Delete the replication connection on the destination volume, and send release to the source replication.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, **operation_config)

    Describe a volume.

    Get the details of the specified volume.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Volume or ClientRawResponse if raw=true
    Return type: | Volume or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, account_name, pool_name, custom_headers=None, raw=False, **operation_config)

    Describe all volumes.

    List all volumes within the capacity pool.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Volume
    Return type: | VolumePaged[Volume]
    Raises: | `CloudError`

  `replication_status_method`(resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, **operation_config)

    Get volume replication status.

    Get the status of the replication.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ReplicationStatus or ClientRawResponse if raw=true
    Return type: | ReplicationStatus or ClientRawResponse
    Raises: | `CloudError`

  `resync_replication`(resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, **operation_config)

    Resync volume replication.

    Resync the connection on the destination volume. If the operation is ran on the source volume it will reverse-resync the connection and sync from source to destination.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `update`(body, resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, **operation_config)

    Update a volume.

    Patch the specified volume.

    Parameters:

    - body (VolumePatch) – Volume object supplied in the body of the operation.
    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Volume or ClientRawResponse if raw=true
    Return type: | Volume or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.netapp.models' from '/usr/lib/python3/dist-packages/azure/mgmt/netapp/models/__init__.py'>

class `azure.mgmt.netapp.operations.``MountTargetsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  MountTargetsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Constant value: “2019-10-01”.

  `list`(resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, **operation_config)

    Describe all mount targets.

    List all mount targets associated with the volume.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of MountTarget
    Return type: | MountTargetPaged[MountTarget]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.netapp.models' from '/usr/lib/python3/dist-packages/azure/mgmt/netapp/models/__init__.py'>

class `azure.mgmt.netapp.operations.``SnapshotsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SnapshotsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Constant value: “2019-10-01”.

  `create`(body, resource_group_name, account_name, pool_name, volume_name, snapshot_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Create a snapshot.

    Create the specified snapshot within the given volume.

    Parameters:

    - body (Snapshot) – Snapshot object supplied in the body of the operation.
    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - snapshot_name (str) – The name of the mount target
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Snapshot or ClientRawResponse<Snapshot> if raw==True
    Return type: | AzureOperationPoller[Snapshot] or AzureOperationPoller[ClientRawResponse[Snapshot]]
    Raises: | `CloudError`

  `delete`(resource_group_name, account_name, pool_name, volume_name, snapshot_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a snapshot.

    Delete snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - snapshot_name (str) – The name of the mount target
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, account_name, pool_name, volume_name, snapshot_name, custom_headers=None, raw=False, **operation_config)

    Describe a snapshot.

    Get details of the specified snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - snapshot_name (str) – The name of the mount target
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Snapshot or ClientRawResponse if raw=true
    Return type: | Snapshot or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, account_name, pool_name, volume_name, custom_headers=None, raw=False, **operation_config)

    Describe all snapshots.

    List all snapshots associated with the volume.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Snapshot
    Return type: | SnapshotPaged[Snapshot]
    Raises: | `CloudError`

  `update`(resource_group_name, account_name, pool_name, volume_name, snapshot_name, tags=None, custom_headers=None, raw=False, **operation_config)

    Update a snapshot.

    Patch a snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - account_name (str) – The name of the NetApp account
    - pool_name (str) – The name of the capacity pool
    - volume_name (str) – The name of the volume
    - snapshot_name (str) – The name of the mount target
    - tags (dict[str, str]) – Resource tags
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Snapshot or ClientRawResponse if raw=true
    Return type: | Snapshot or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.netapp.models' from '/usr/lib/python3/dist-packages/azure/mgmt/netapp/models/__init__.py'>